%define build_rebuild 0
%{?_with_rebuild: %global build_rebuild 1}
%define		urwmdkver 2.0-15mdk

Summary:	Free versions of the 35 standard PostScript fonts
Name:		urw-fonts
Version:	2.0
Release:	15.1mdk

Source0:	http://heanet.dl.sourceforge.net/sourceforge/gs-fonts/ghostscript-fonts-std-8.11.tar.bz2
# this overwrites several of the fonts and fonts.dir with new versions
Source1:	ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre40.tar.bz2
Source4:	urw-fonts-%{urwmdkver}.tar.bz2
Source5:	http://peoples.mandrakesoft.com/~ghibo/urw-fonts-1.0.7pre40-nimbusmonl-fixed.tar.bz2

# addition of *-iso10646-1 lines
Patch0:		urw-fonts-2.0-fontscale.patch.bz2
Patch1:		urw-fonts-monospaced.patch.bz2
Patch2:		urw-fonts-2.0-fontscale-adobe-before-urw.patch.bz2
Patch3:		urw-fonts-2.0-split-adobestd35fontdir.patch.bz2
Patch4:		urw-fonts-monospaced2.patch.bz2

License:	GPL, URW holds copyright
Group:		System/Fonts/Type1
URL:		ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
%if %build_rebuild
BuildRequires:	fontforge >= 1.0-0.20040703.2mdk
%endif
BuildRequires:	XFree86
Prereq:		chkfontpath

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c -a1 -a4 -a5
%patch0 -p1 -b .fontscale
%patch1 -p1 -b .mono
%patch2 -p1 -b .urw
%patch3 -p1 -b .split
%patch4 -p1 -b .mono2

%build
%if %build_rebuild
# Resave PFB fonts, so /FontBBox will result as executable array
cat > copypfb.ff <<EOF
#!/usr/bin/fontforge
Open(\$1);
myfamilyname = \$familyname;
myweight = \$weight;
if (\$weight == "Demibold")
  myweight = "DemiBold";
  Print ("Fixing weight to DemiBold");
endif
if (\$familyname == "URW Chancery L ")
  myfamilyname = "URW Chancery L";
  Print ("Fixing URW Chancery L familyname");
endif
SetFontNames(\$fontname,myfamilyname,\$fullname,myweight,\$copyright,\$fontversion + "_%{version}-%{release}");
Generate(\$2,"",3);
Print ("Rebuilt: ", \$fontname);
Quit(0);
EOF
chmod +x copypfb.ff

mkdir -p fonts_fixed fixed
for i in fonts/*.pfb; do
	./copypfb.ff $i fonts_fixed/`basename $i`
done
for i in *.pfb; do
	./copypfb.ff $i fixed/`basename $i`
done



%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1 \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35

%if %build_rebuild
# install original URW fonts (from ghostscript set)
install -m 644	fonts_fixed/*.afm \
		fonts_fixed/*.pfm \
		fonts_fixed/*.pfb \
			$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
# install new versions with cyrillic glyphs (and overwrite original
# ones if needed)
install -m 644	fixed/*.afm \
		fixed/*.pfm \
		fixed/*.pfb \
			$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
# install fonts.scale/fonts.dir
install -m 644 fonts/fonts.scale \
			$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
install -m 644 fonts/fonts.scale \
			$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/fonts.dir
install -m 644 fonts/fonts.scale.adobe \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
install -m 644 fonts/fonts.scale.adobe \
        $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir
%else
install -m 644	urw-fonts-%{urwmdkver}/*.afm \
	urw-fonts-%{urwmdkver}/*.pfm \
	urw-fonts-%{urwmdkver}/*.pfb \
	urw-fonts-%{urwmdkver}/fonts.dir \
	urw-fonts-%{urwmdkver}/fonts.scale \
		$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
install -m 644 urw-fonts-%{urwmdkver}/fonts.scale.adobe \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
install -m 644 urw-fonts-%{urwmdkver}/fonts.dir.adobe \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir
# copy fixed fonts
cp -fp	n022003l.{afm,pfm,pfb} \
	n022004l.{afm,pfm,pfb} \
	n022023l.{afm,pfm,pfb} \
	n022024l.{afm,pfm,pfb} \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
%endif

cd $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/adobestd35
for i in ../*.pfb ../*.afm ../*.pfm; do \
	ln -s $i
done

(cd $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
# X.org's mkfontdir messes up encoding order, using alphabetical one,
# so for now comment the next line.
#    mkfontdir .
    /usr/bin/fc-cache $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1
)

%post
[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/default/Type1
[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/default/Type1/adobestd35
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache %{_datadir}/fonts/default/Type1

%postun
if [ "$1" = "0" ]; then
	[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/default/Type1
	[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/default/Type1/adobestd35
	[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache %{_datadir}/fonts/default/Type1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README ChangeLog COPYING
%if !%build_rebuild
%doc urw-fonts-%{urwmdkver}/README.mdk
%endif
%dir %{_datadir}/fonts/
%dir %{_datadir}/fonts/default/
%dir %{_datadir}/fonts/default/Type1
%dir %{_datadir}/fonts/default/Type1/adobestd35
%{_datadir}/fonts/default/Type1/fonts.dir
%{_datadir}/fonts/default/Type1/fonts.scale
%{_datadir}/fonts/default/Type1/fonts.cache-1
%{_datadir}/fonts/default/Type1/*.afm
%{_datadir}/fonts/default/Type1/*.pfb
%{_datadir}/fonts/default/Type1/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/*.afm
%{_datadir}/fonts/default/Type1/adobestd35/*.pfb
%{_datadir}/fonts/default/Type1/adobestd35/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir
%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
%{_datadir}/fonts/default/Type1/adobestd35/fonts.cache-1

%changelog
* Mon Jun 27 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.0-15.1mdk
- Copy forgotten Source5 archive (with fixed mono fonts) into install tree.

* Sat Feb 12 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-15mdk
- Use Filippov's version 1.0.7pre40.
- Fix bug #12493 (added Source5 with fixed fonts).
- Change '-URW-Courier' to spacing 'm' instead of 'p' in 
  adobestd35/fonts.dir|scale.
- Use monospacing in 'Nimbus Mono L' fonts in
  adobestd35/fonts.dir|scale.
- Removed fonts.alias for monospace.

* Sat Aug 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-14mdk
- Use Filippov's version 1.0.7pre35.

* Thu Aug 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-13mdk
- Added Patch4 to have Adobe names in a standalone fonts.dir
  to avoid confusion with OOo.
- Added links into %%{_datadir}/default/fonts/Type1/adobestd35.

* Sat Jul 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-12mdk
- Added Source1 (Filippov's URW fonts version 1.0.7pre33).
- Dropped Mashrab Kuratov Source3 (merged into Valek Filippov fonts).
- Dropped Source2 (bold nimbus, merged into Filippov fonts).
- Rebuilt Source4 and fixing weight of some font from Demibold to DemiBold
  (avoid problems with mkfontscale).
- Removing trailing space (Source4) from "URW Chancery L " FamilyName.
- Added Patch2 so to list Adobe 35 std font names before URW.

* Thu Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-11mdk
- Added %%build_rebuild conditional building flag.
- Fixed fonts for bug http://bugs.mandrakelinux.com/query.php?bug=94.
- Dropped Source1: fonts from 
  ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre22.tar.bz2
  and new ghostscript-fonts-std-8.11.tar.bz2 are identical, so take the gs one.
- Rebuilt Patch0.

* Mon Aug 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-10mdk
- Add Source3: improved versions of some fonts (added missing cyrillic
  glyphs) by Mashrab Kuvatov

* Fri Mar 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0-9mdk
- Add source2: patched version of Nimbus Medium (Italic) using Bold 
  instead of Medium as weight (fix Mdk bug 2606)

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-8mdk
- addition of some *-iso10464-1 lines, so the fonts can be used
  in utf-8 locales

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-7mdk
- rebuild with cache files for Xft2
- included latest version (pre20) of cyrillic urw fonts

* Wed Sep 04 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-6mdk
- rebuild including cyrillicized versions of the different fonts.
- alos, added iso8859-3 and iso8859-14 when applicable

* Tue Feb 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-5mdk
- fixed bug in dingbat encoding; added iso8859-9, -13 and -15 lines

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Own /usr/share/fonts/ & Co

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- added XftCache support

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Don't provide Fontmap, it breaks ghostscript

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Resync with Redhat (2.0-11)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-11mdk
- BM + macroszification
- rename file to rename version number

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-10mdk
- fix group 

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.


* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
